svn commit: samba r23174 - in branches/SAMBA_4_0: . testprogs/blackbox

jelmer at samba.org jelmer at samba.org
Mon May 28 14:24:37 GMT 2007


Author: jelmer
Date: 2007-05-28 14:24:36 +0000 (Mon, 28 May 2007)
New Revision: 23174

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=23174

Log:
merge text
Modified:
   branches/SAMBA_4_0/
   branches/SAMBA_4_0/testprogs/blackbox/test_smbclient.sh


Changeset:

Property changes on: branches/SAMBA_4_0
___________________________________________________________________
Name: bzr:merge
...skipped...

Modified: branches/SAMBA_4_0/testprogs/blackbox/test_smbclient.sh
===================================================================
--- branches/SAMBA_4_0/testprogs/blackbox/test_smbclient.sh	2007-05-28 13:33:54 UTC (rev 23173)
+++ branches/SAMBA_4_0/testprogs/blackbox/test_smbclient.sh	2007-05-28 14:24:36 UTC (rev 23174)
@@ -1,4 +1,7 @@
 #!/bin/sh
+# Blackbox tests for smbclient
+# Copyright (C) 2006-2007 Jelmer Vernooij <jelmer at samba.org>
+# Copyright (C) 2006-2007 Andrew Bartlett <abartlet at samba.org>
 
 if [ $# -lt 5 ]; then
 cat <<EOF
@@ -96,6 +99,8 @@
 echo ls | runcmd "List directory with LANMAN1" -m LANMAN1 || failed=`expr $failed + 1`
 echo ls | runcmd "List directory with LANMAN2" -m LANMAN2 || failed=`expr $failed + 1`
 
+echo pwd | runcmd "Print current working directory" || failed=`expr $failed + 1`
+
 echo ls | testit "Test login with --machine-pass without kerberos" $VALGRIND bin/smbclient $CONFIGURATION //$SERVER/tmp --machine-pass -k no || failed=`expr $failed + 1`
 
 echo ls | testit "Test login with --machine-pass and kerberos" $VALGRIND bin/smbclient $CONFIGURATION //$SERVER/tmp --machine-pass -k yes || failed=`expr $failed + 1`



More information about the samba-cvs mailing list